Page MenuHomePhabricator

Step 1: Add label of property to header message (impact: low)
Closed, ResolvedPublic5 Estimate Story Points

Description

As an editor I want an informative and meaningful message at the top of the Bridge modal.

Problem:
There is currently a placeholder string (“Edit Property”) in the message because we need to decide on the final message.

Screenshots/mockups:

Acceptance criteria:

  • "Edit $propertylabel" is the message in the header and translatable
  • Fallback: use wikidata's language fallback chain and if that is not available, show the property Id

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2019, 10:42 AM

We already introduces a message (wikibase-client-data-bridge-dialog-title) during T232994, which needs a complete overall, when we unlock this story.

Change 538919 had a related patch set uploaded (by Amire80; owner: Amire80):
[translatewiki@master] Ignore Wikibase-client-data-bridge-dialog-title

https://gerrit.wikimedia.org/r/538919

heyho, i guess I never made it explicit anywhere so we don't have a story for this.

The header message should be the same as the (field label == property label) + Edit (<- that needs to be translatable)

this means: if the property we're editing is altitude, the header should say: Edit altitude

For the case where the value might be comprised of multiple properties, we'll cross that bridge when we get there.

Change 538919 abandoned by Nikerabbit:
Ignore Wikibase-client-data-bridge-dialog-title

https://gerrit.wikimedia.org/r/538919

Charlie_WMDE renamed this task from Rethink header message to Add label of property to header message.Nov 6 2019, 11:33 AM
Charlie_WMDE removed Charlie_WMDE as the assignee of this task.
Charlie_WMDE claimed this task.
Charlie_WMDE added a subscriber: Charlie_WMDE.
Charlie_WMDE removed Charlie_WMDE as the assignee of this task.Nov 12 2019, 1:45 PM
Lydia_Pintscher triaged this task as Low priority.Nov 19 2019, 10:14 AM
Lydia_Pintscher renamed this task from Add label of property to header message to Step 1: Add label of property to header message.Dec 5 2019, 1:07 PM
Lydia_Pintscher renamed this task from Step 1: Add label of property to header message to Step 1: Add label of property to header message (impact: low).Dec 8 2019, 1:20 PM
darthmon_wmde set the point value for this task to 5.Jan 14 2020, 11:43 AM
darthmon_wmde moved this task from Ready to estimate to Ready to pick up on the Wikidata-Bridge board.

@Charlie_WMDE Wondering if maybe the property label should be in quotes? The reason is that there are properties like "located in the administrative territorial entity" where the title would otherwise read "Edit located in the administrative territorial entity". Which sounds somewhat misleading to me. But maybe this is a non-issue and obvious from context?

@Michael thank you for raising this point. I would leave it as is for now to keep the visuals consistent with the current template editor and use the first feedback round to find out if this is an issue or not. I assume adding quotation marks or separating the two parts visually in a different way could then be a ticket for step 2 if necessary.

Change 570933 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: add property label to header message

https://gerrit.wikimedia.org/r/570933

Change 570933 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: add property label to header message

https://gerrit.wikimedia.org/r/570933

A few observations:

  • When the bridge is loading (loading bar is visible) the header shows the property id and when bridge fully loads it shows the property label, resulting in a visual jump.
  • The property label starts with a capital letter, so the header looks like "Edit Some property label". Not sure that is the desired outcome.

ping @Charlie_WMDE for expert opinion

A few observations:

  • When the bridge is loading (loading bar is visible) the header shows the property id and when bridge fully loads it shows the property label, resulting in a visual jump.

i noticed this as well. i am not how costly it would e to improve this and depending on that whether @Lydia_Pintscher
sees this as part of step 1 or not.

  • The property label starts with a capital letter, so the header looks like "Edit Some property label". Not sure that is the desired outcome.

ping @Charlie_WMDE for expert opinion

for me they're all in small caps except for the placeholder ones you've created. but i'm not sure how i feel about that either tbh. I'm looking into it.

thanks for the ping!

i noticed this as well. i am not how costly it would e to improve this and depending on that whether @Lydia_Pintscher
sees this as part of step 1 or not.

Well, what improvement do you have in mind? We already show the property label as soon as we can.

i noticed this as well. i am not how costly it would e to improve this and depending on that whether @Lydia_Pintscher
sees this as part of step 1 or not.

Well, what improvement do you have in mind? We already show the property label as soon as we can.

i have no idea. i just assumed since tonina mentioned it, that in her opinion there would be some possible improvement. otherwise why mentioned it if this is the best we can get.

i noticed this as well. i am not how costly it would e to improve this and depending on that whether @Lydia_Pintscher
sees this as part of step 1 or not.

Well, what improvement do you have in mind? We already show the property label as soon as we can.

i have no idea. i just assumed since tonina mentioned it, that in her opinion there would be some possible improvement. otherwise why mentioned it if this is the best we can get.

IMO, it's a strange behaviour, and as devs we can always do something about it. If I have to come up with an alternative, I think not showing it at all until it's loaded is an option.
So probably just say Edit and then append to it the label when we have it.
But that's just an idea which could be terrible from an UX point of view. I just wanted to point out this visual discrepancy.

Charlie_WMDE closed this task as Resolved.Wed, Feb 12, 11:11 AM
Charlie_WMDE moved this task from Verification to Done on the Wikidata-Bridge-Sprint-13 board.

closing this for now as discussed in the daily. possible improvements would get an extra ticket.